# Serverless backend application

### Requirements

- serverless framework
- AWS credentials configuration
- node
- A basic vpc in aws, one at least two public or private subnets

https://www.serverless.com/framework/docs/providers/aws/guide/intro/

### Installation

To get started:

```bash
npm install -g serverless
```

### Deploy

```bash
serverless deploy
```

### This project going to create

- A Sample python3.6 lambda function
- Api Gateway endpoint wich handle get requests to lambda.
- DynamoDb tables for your application
- IamRoles for lambda execution


### Configure aws variables in order to run cloudformation stack

- Set Follow variables
    - AWS_ACCESS_KEY_ID
    - AWS_DEFAULT_REGION
    - AWS_SECRET_ACCESS_KEY
    
https://docs.aws.amazon.com/cli/latest/userguide/cli-configure-files.html
